#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../stat/component_health.h"
#include "../stat/component_game_entity_type.h"

#include "../../entity/play/entity_puff.h"

#define COMPONENT_ACTION_DELETE_ON_DEAD_PUFF_Z_OFFSET -0.01f

typedef struct ComponentActionDeleteOnDead
{
	ECSComponent component;
} ComponentActionDeleteOnDead;

void component_action_delete_on_dead_tick(ComponentActionDeleteOnDead* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_DELETE_ON_DEAD_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_action_delete_on_dead_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_DELETE_ON_DEAD,
	.size = sizeof(ComponentActionDeleteOnDead)
};


