#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_game_object.h"

typedef struct ComponentBehaviorActInRectangle
{
	ECSComponent component;
	Rectangle rectangle;
	bool isAbleToAct;
} ComponentBehaviorActInRectangle;

void component_behavior_act_in_rectangle_init(ComponentBehaviorActInRectangle* self, Rectangle rectangle);
void component_behavior_act_in_rectangle_tick(ComponentBehaviorActInRectangle* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_BEHAVIOR_ACT_IN_RECTANGLE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_behavior_act_in_rectangle_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_BEHAVIOR_ACT_IN_RECTANGLE,
	.size = sizeof(ComponentBehaviorActInRectangle)
};


