#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../../../input/input.h"

#include "../component_physics.h"
#include "../action/component_action_lock.h"

typedef struct ComponentControlLock
{
	ECSComponent component;
} ComponentControlLock;

void component_control_lock_tick(ComponentControlLock* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_CONTROL_LOCK_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_control_lock_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_CONTROL_LOCK,
	.size = sizeof(ComponentControlLock)
};
