#pragma once

#include "../../component/component_sprite.h"
#include "../../component/action/component_action_follow.h"
#include "../../component/action/component_action_point_to_mouse.h"
#include "../../component/animation/component_animation_color_change.h"
#include "../../ecs_component.h"

#define ENTITY_REDIRECT_ARROW_ANIMATION_COLOR_CHANGE_TIMER 5
#define ENTITY_REDIRECT_ARROW_OFFSET 64.0f

static const vec2 ENTITY_REDIRECT_ARROW_SIZE = {64.0f, 64.0f};

void entity_redirect_arrow_init(ECS* ecs, u32 id, vec3 position, u32 followID);
