#pragma once

#include "../../component/component_text.h"
#include "../../component/action/component_action_delete_on_timer.h"
#include "../../component/action/component_action_delete_on_heart.h"
#include "../../component/animation/component_animation_color_change.h"
#include "../../ecs_component.h"

#define ENTITY_TUTORIAL_TEXT_TIMER 2400
#define ENTITY_TUTORIAL_TEXT_WRAP 1600

static const vec4 TUTORIAL_TEXT_COLOR = {0.0f, 0.0f, 0.0f, 1.0f};

void entity_tutorial_text_init(ECS* ecs, u32 id, vec3 position, u32 heartID);
