#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

typedef struct ComponentActionDeleteOnTimer
{
	ECSComponent component;
	u32 value;
	u32 max;
} ComponentActionDeleteOnTimer;

void component_action_delete_on_timer_init(ComponentActionDeleteOnTimer* self, u32 value);
void component_action_delete_on_timer_tick(ComponentActionDeleteOnTimer* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_DELETE_ON_TIMER_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_action_delete_on_timer_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_DELETE_ON_TIMER,
	.size = sizeof(ComponentActionDeleteOnTimer)
};


