#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../stat/component_ammo.h"
#include "../stat/component_act_entity.h"

typedef struct ComponentActionOnDeleteGiveAmmo
{
	ECSComponent component;
	u32 value;
} ComponentActionOnDeleteGiveAmmo;

void component_action_on_delete_give_ammo_init(ComponentActionOnDeleteGiveAmmo* self, u32 value);
void component_action_on_delete_give_ammo_delete(ComponentActionOnDeleteGiveAmmo* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_ON_DELETE_GIVE_AMMO_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			(ECSFunction)component_action_on_delete_give_ammo_delete, 
			NULL,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_ON_DELETE_GIVE_AMMO,
	.size = sizeof(ComponentActionOnDeleteGiveAmmo)
};


