#include "component_animation_rotate.h"

/* Initializes animation rotate component. */
void
component_animation_rotate_init(ComponentAnimationRotate* self, f32 speed)
{
	self->speed = speed;
}

/* Ticks animation rotate component. */
void
component_animation_rotate_tick(ComponentAnimationRotate* self, ECS* ecs)
{
	ComponentSprite* sprite;

	sprite = ecs_component_get(ecs, ECS_COMPONENT_SPRITE, self->component.id);
	
	sprite->rotation += self->speed;
}
