#pragma once

#include "ANIMATION_COMMON.h"

#include "../component_sprite.h"

typedef struct ComponentAnimationRotate
{
	ECSComponent component;
	f32 speed;
} ComponentAnimationRotate;

void component_animation_rotate_init
(
	ComponentAnimationRotate* self, 
	f32 speed
);

void component_animation_rotate_init(ComponentAnimationRotate* self, f32 speed);
void component_animation_rotate_tick(ComponentAnimationRotate* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ANIMATION_ROTATE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_animation_rotate_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ANIMATION_ROTATE,
	.size = sizeof(ComponentAnimationRotate)
};
