#include "component_control_face.h"

/* DEPENDENCIES: Physics, Sprite */

/* Ticks control_face component. Flips sprite based on mouse position. */
void
component_control_face_tick(ComponentControlFace* self, ECS* ecs)
{
	ComponentSprite* sprite;

	sprite = ecs_component_get(ecs, ECS_COMPONENT_SPRITE, self->component.id);

	if (input_held(&ecs->game->input, INPUT_LEFT))
		sprite->isFlipHorizontal = true;
	else if (input_held(&ecs->game->input, INPUT_RIGHT))
		sprite->isFlipHorizontal = false;
}
