#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../../../input/input.h"

#include "../component_physics.h"
#include "../component_sprite.h"

typedef struct ComponentControlFace
{
	ECSComponent component;
} ComponentControlFace;

void component_control_face_tick(ComponentControlFace* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_CONTROL_FACE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_control_face_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_CONTROL_FACE,
	.size = sizeof(ComponentControlFace)
};
