#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../../../input/input.h"

#include "../action/component_action_return.h"
#include "../action/component_action_lock.h"

typedef struct ComponentControlRecall
{
	ECSComponent component;
	u32 cooldown;
	u32 cooldownMax;
} ComponentControlRecall;

void component_control_recall_init(ComponentControlRecall* self, u32 cooldown);
void component_control_recall_tick(ComponentControlRecall* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_CONTROL_RECALL_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_control_recall_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_CONTROL_RECALL,
	.size = sizeof(ComponentControlRecall)
};
