#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#define COMPONENT_GOODIES_MULTIPLIER 1

typedef struct ComponentGoodies
{
	ECSComponent component;
	u32 value;
	u32 max;
	u32 multiplier;
} ComponentGoodies;

void component_goodies_add(ComponentGoodies* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_GOODIES_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			(ECSFunction)component_goodies_add,
			NULL,
			NULL, 
			NULL
		}
	},
	.type = ECS_COMPONENT_GOODIES,
	.size = sizeof(ComponentGoodies)
};
