#pragma once

#include "../ecs_component.h"
#include "../component/hud/component_button.h"

typedef enum MenuButtonType
{
	MENU_BUTTON_START = 0,
	MENU_BUTTON_RETRY = 1,
	MENU_BUTTON_OK = 2,
	MENU_BUTTON_NEXT = 3
} MenuButtonType;

static const ivec2 MENU_BUTTON_FRAME_SIZE = {512, 512};
static const ivec2 MENU_BUTTON_ATLAS_SIZE = {1, 4};
static const vec2 MENU_BUTTON_SIZE = {256.0f, 256.0f};

void entity_menu_button_init(ECS* ecs, u32 id, vec3 position, MenuButtonType type);
