#pragma once

#include "../ecs_component.h"
#include "../component/component_sprite.h"
#include "../component/animation/component_animation_color_change.h"
	
#define STATE_FADE_TIMER 30

static const vec2 STATE_FADE_SIZE = {1920.0f, 1080.0f};
static const vec3 STATE_FADE_POSITION = {960.0f, 540.0f, 0.0f};
			
void entity_state_fade_init(ECS* ecs, u32 id, bool isFadeIn);
