#include "entity_combat_timer_display.h"

/* Initializes wave timer display. */
void
entity_combat_timer_display_init(ECS* ecs, u32 id, u32 spawnID)
{
	ComponentHUDDisplay* hudDisplay;

	hudDisplay = ecs_component_add(ecs, ECS_COMPONENT_HUD_DISPLAY, id);

	component_hud_display_init
	(
		hudDisplay,
		ecs,
		(f32*)ENTITY_COMBAT_TIMER_DISPLAY_POSITION,
		spawnID,
		HUD_DISPLAY_FORMAT_TIME_MM_SS_MS,
		ICON_COMBAT_TIMER,
		ECS_COMPONENT_ACTION_SPAWN
	);
}
