#include "entity_shop_item_upgrade_redirects.h"

/* Initializes an shop item upgrade redirects entity. */
void
entity_shop_item_upgrade_redirects_init(ECS* ecs, u32 id, u32 affectedID, u32 affectedID2)
{
	ComponentShopItem* shopItem;

	shopItem = ecs_component_add(ecs, ECS_COMPONENT_SHOP_ITEM, id);

	component_shop_item_init
	(
		shopItem,
		SHOP_ITEM_UPGRADE_REDIRECTS,
		ENTITY_SHOP_ITEM_UPGRADE_REDIRECTS_PRICE,
		ENTITY_SHOP_ITEM_UPGRADE_REDIRECTS_EXPONENT,
		affectedID,
		affectedID2
	);
}
