#include "entity_wave_display.h"

/* Initializes wave display. */
void
entity_wave_display_init(ECS* ecs, u32 id, u32 spawnID)
{
	ComponentHUDDisplay* hudDisplay;

	hudDisplay = ecs_component_add(ecs, ECS_COMPONENT_HUD_DISPLAY, id);

	component_hud_display_init
	(
		hudDisplay,
		ecs,
		(f32*)ENTITY_WAVE_DISPLAY_POSITION,
		spawnID,
		HUD_DISPLAY_FORMAT_WAVE,
		ICON_WAVE,
		ECS_COMPONENT_WAVE
	);
}
